# \QueryState

## Summary

Methods
Properties
Constants
No public methods found
No public properties found
No constants found
No protected methods found
$selectString
$fromString
$setString
$orderString
$groupString
$setArrayKeys
$orderArray
$groupArray
$values
$whereValues
$limit
$offset
$queryMap
$havingMap
N/A
No private methods found
No private properties found
N/A

File
  Query/State.php
Package
  Default
Class hierarchy
  \Query\State

## Tags

None found

## Properties

### $selectString

    $selectString : string

Compiled 'select' clause

#### Type

string

#

## Tags

None found

### $fromString

    $fromString : string

Compiled 'from' clause

#### Type

string

#

## Tags

None found

### $setString

    $setString : string

Compiled arguments for insert / update

#### Type

string

#

## Tags

None found

### $orderString

    $orderString : string

Order by clause

#### Type

string

#

## Tags

None found

### $groupString

    $groupString : string

Group by clause

#### Type

string

#

## Tags

None found

### $setArrayKeys

    $setArrayKeys : array

Keys for insert/update statement

#### Type

array

#

## Tags

None found

### $orderArray

    $orderArray : array

Key/val pairs for order by clause

#### Type

array

#

## Tags

None found

### $groupArray

    $groupArray : array

Key/val pairs for group by clause

#### Type

array

#

## Tags

None found

### $values

    $values : array

Values to apply to prepared statements

#### Type

array

#

## Tags

None found

### $whereValues

    $whereValues : array

Values to apply to where clauses in prepared statements

#### Type

array

#

## Tags

None found

### $limit

    $limit : string

Value for limit string

#### Type

string

#

## Tags

None found

### $offset

    $offset : integer

Value for offset in limit string

#### Type

integer

#

## Tags

None found

### $queryMap

    $queryMap : array

Query component order mapping for complex select queries

Format: array( 'type' => 'where', 'conjunction' => ' AND ', 'string' => 'k=?' )

#### Type

array

#

## Tags

None found

### $havingMap

    $havingMap : array

Map for having clause

#### Type

array

#

## Tags

None found

### State.php